package dao

import (
	"gomicro-base/common/mysql"
	"gomicro-base/service/member/internal/conf"
	"gomicro-base/service/member/internal/model"
	"gorm.io/gorm"
)

// Dao 查询数据库
type Dao struct {
	DB *gorm.DB
}

func New(c *conf.Config) (d *Dao) {
	d = &Dao{
		DB: mysql.NewDB(c.Mysql),
	}
	return
}

// GetMemberById 根据id查询用户
func (d *Dao) GetMemberById(id int, token string, column []string) (res *model.ImsDbPlayMember, err error) {
	res = &model.ImsDbPlayMember{}
	err = d.DB.Model(&model.ImsDbPlayMember{}).
		Select(column).
		Where(map[string]interface{}{
			"id":    id,
			"token": token,
		}).
		Take(res).Error
	return
}
