package service

import (
	"context"
	"gomicro-base/api/member"
	"gomicro-base/service/member/internal/dao"
	"gomicro-base/service/member/internal/model"
)

// MemberService 服务层处理逻辑
type MemberService struct {
	dao *dao.Dao
}

func New(d *dao.Dao) *MemberService {
	return &MemberService{
		dao: d,
	}
}

func (s *MemberService) GetMemberInfo(ctx context.Context, req *member.MemberInfoReq) (*model.ImsDbPlayMember, error) {
	m, err := s.dao.GetMemberById(int(req.UserId), req.Token, []string{"*"})
	if err != nil {
		return nil, err
	}
	return m, err
}
